# CREATIVE DATA MINING - FS 2016
# LECTURE 7 
# First heatmaps-survey data
# Danielle Griego

setwd("~/Dropbox/CDM_L7/R/")
path<-read.csv("pathpoints.csv")
path<-(path[,1:3])

#1. Revisiting matrix plotting with our datasets
p1<-read.csv("status/2016-04-07-1612_status.csv", header = FALSE, sep = ",")
p1<-(p1[,3:14])
df<-data.matrix(p1)

install.packages("fields")
library(fields)

image.plot(matrix((data=df), ncol=12, nrow=14)) 

#2. Trying something new
xAxis<-c("CP1","CP2","CP3","CP4","CP5","CP6","CP7","CP8","CP9","CP10","CP11","CP12","CP13","CP14")
yAxis<-c("like/dislike", "familiar/unfailiar", "ordered/chaotic", "quiet/noisy", "public/private", "interesting/boring", "empty/crowded", "secure/insecure", "beautiful/ugly", "spacious/narrow", "open/enclosed", "light/dark")
dimnames(df) <- list(xAxis, yAxis)